Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook.client
Class CalendarMeeting

    java.lang.Object
      com.knowgate.addrbook.client.CalendarMeeting

    public class CalendarMeeting

extends java.lang.Object

Field Summary
`int` | `privacy`

Constructor Summary
`CalendarMeeting()`

Method Summary
`void` | `addAttendant(CalendarAttendant oCalAtt)`
`void` | `addAttendant(java.lang.String sEmail)`
`void` | `addAttendant(java.lang.String sEmail, java.lang.String sName, java.lang.String sSurname)`
`void` | `addRoom(java.lang.String sNmRoom)`
`void` | `addRoom(java.lang.String sNmRoom, java.lang.String sType)`
`java.lang.String` | `attendantsList()`
`java.util.ArrayList<CalendarAttendant>` | `getAttendants()`
`java.lang.String` | `getDescription()`
`java.util.Date` | `getEndDate()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getId()`
`CalendarAttendant` | `getOrganizer()`
`java.util.ArrayList<CalendarRoom>` | `getRooms()`
`java.util.Date` | `getStartDate()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`boolean` | `isPrivate()`
`void` | `isPrivate(boolean bIsPrivate)`
`java.lang.String` | `roomsList()`
`void` | `setAttendants(java.util.ArrayList<CalendarAttendant> oAttendantsList)`
`void` | `setDescription(java.lang.String sMeetingDescription)`
`void` | `setEndDate(java.util.Date dtMeetingEnd)`
`void` | `setEndDate(java.util.Date dtMeetingEnd, java.util.TimeZone tmZone)`
`void` | `setGuid(java.lang.String sMeetingGuid)`
`void` | `setId(java.lang.String sMeetingUniqueId)`
`void` | `setOrganizer(CalendarAttendant oOrganizer)`
`void` | `setRooms(java.util.ArrayList<CalendarRoom> oRoomsList)`
`void` | `setStartDate(java.util.Date dtMeetingStart)`
`void` | `setStartDate(java.util.Date dtMeetingStart, java.util.TimeZone tmZone)`
`void` | `setTitle(java.lang.String sMeetingTitle)`
`void` | `setType(java.lang.String sMeetingType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### privacy

    public int privacy

Constructor Detail

### CalendarMeeting

    public CalendarMeeting()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String sMeetingUniqueId)

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String sMeetingGuid)

### getAttendants

    public java.util.ArrayList<CalendarAttendant> getAttendants()

### getOrganizer

    public CalendarAttendant getOrganizer()

### setOrganizer

    public void setOrganizer(CalendarAttendant oOrganizer)

### setAttendants

    public void setAttendants(java.util.ArrayList<CalendarAttendant> oAttendantsList)

### addAttendant

    public void addAttendant(CalendarAttendant oCalAtt)

### addAttendant

    public void addAttendant(java.lang.String sEmail)

### addAttendant

    public void addAttendant(java.lang.String sEmail,
                             java.lang.String sName,
                             java.lang.String sSurname)

### getRooms

    public java.util.ArrayList<CalendarRoom> getRooms()

### setRooms

    public void setRooms(java.util.ArrayList<CalendarRoom> oRoomsList)

### addRoom

    public void addRoom(java.lang.String sNmRoom)

### addRoom

    public void addRoom(java.lang.String sNmRoom,
                        java.lang.String sType)

### isPrivate

    public boolean isPrivate()

### isPrivate

    public void isPrivate(boolean bIsPrivate)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String sMeetingTitle)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String sMeetingType)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String sMeetingDescription)

### getStartDate

    public java.util.Date getStartDate()

### setStartDate

    public void setStartDate(java.util.Date dtMeetingStart)

### setStartDate

    public void setStartDate(java.util.Date dtMeetingStart,
                             java.util.TimeZone tmZone)

### getEndDate

    public java.util.Date getEndDate()

### setEndDate

    public void setEndDate(java.util.Date dtMeetingEnd)

### setEndDate

    public void setEndDate(java.util.Date dtMeetingEnd,
                           java.util.TimeZone tmZone)

### roomsList

    public java.lang.String roomsList()

### attendantsList

    public java.lang.String attendantsList()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD